
Robotics Systems Types - Feature #1200
Add SimpleXYZImage
10/11/2012 01:33 PM - A. Swadzba

Status: Resolved Start date: 10/11/2012
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: protocol Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Please add SimpleXYZImage.proto to the RST-repository. I cannot push it.

Related issues:
Related to Robotics Systems Types - Tasks # 1301: Adapt documentation of rst.... Resolved 12/14/2012

Associated revisions
Revision 09c1f1fa - 11/05/2012 08:11 PM - A. Swadzba

Added simple point cloud data type in proto/sandbox/rst/vision/SimpleXYZImage.proto

fixes #1200

    -  proto/sandbox/rst/vision/SimpleXYZImage.proto: new file

Revision 262ad27c - 12/14/2012 05:55 PM - A. Swadzba

Forwardport: Added simple point cloud data type in proto/sandbox/rst/vision/SimpleXYZImage.proto

fixes #1200

    -  proto/sandbox/rst/vision/SimpleXYZImage.proto: new file

History
#1 - 10/11/2012 01:35 PM - J. Wienke

How does this relate to rst.geometry.PointCloud3DFloat?

#2 - 10/11/2012 01:48 PM - A. Swadzba

In PointCloud3DFloatType the x,y, and z value of a point are packed to one structure. With this type it seems not to be possible to get a pointer just to
all z-Values.

#3 - 10/11/2012 05:56 PM - Anonymous
- Subject changed from pull request to Add SimpleXYZImage
- Category set to protocol
- Assignee set to Anonymous
- Target version set to rsb-0.7
#4 - 11/05/2012 08:12 PM - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:09c1f1fa85ad768669b9be8b6dab19d4f24e0e10.

#5 - 12/14/2012 05:53 PM - S. Wrede
- Status changed from Resolved to In Progress
- Target version changed from rsb-0.7 to rsb-0.9

Please also apply this patch to master.

#6 - 12/14/2012 05:53 PM - S. Wrede
- Assignee changed from Anonymous to S. Wrede

#7 - 12/14/2012 05:56 PM - A. Swadzba
- Status changed from In Progress to Resolved

Applied in changeset rst-proto|commit:262ad27c76eb14e4cfeb1f4f4e9424f1cc6b8b64.

Files
0001-simple-data-type-for-sending-point-cloud-around.patch 1.99 KB 10/11/2012 A. Swadzba
